Package org.apache.sysds.runtime.instructions.ooc

# Interface OOCStream.GroupQueueCallback<T>

All Superinterfaces:
  `AutoCloseable`, `OOCStream.QueueCallback<T>`

All Known Implementing Classes:
  `OOCCacheManager.CachedGroupCallback`, `SourceOOCStream.SourceGroupCallback`

Enclosing interface:
  OOCStream<T>

public static interface OOCStream.GroupQueueCallback<T> extends OOCStream.QueueCallback<T>

## Method Summary

Modifier and Type
Method
Description
`OOCStream.QueueCallback<T>`
`getCallback(int idx)`
`int`
`size()`

### Methods inherited from interface org.apache.sysds.runtime.instructions.ooc.OOCStream.QueueCallback

`close, fail, get, isEos, isFailure, keepOpen`

## Method Details

### size

int size()

### getCallback

OOCStream.QueueCallback<T> getCallback(int idx)